Subject: Re: Compiling SRecord fails on Cygwin; succeeds on Linux/FreeBSD.
From: "Gerrit P. Haase" <[email-masked]>
To: "E. Weddington" <[email-masked]>, "Gerrit @ cygwin" <[email-masked]>
Date: Sat, 08 Jan 2005 13:21:26 +0100

E. Weddington wrote:

> Hello!
> 
> I've been trying to build the SRecord package version 1.20:
> <http://srecord.sourceforge.net/>

Compiling this fails with 3.4.1:

$ make
ccache g++  -g -O2 -Wall -Ilib/srec -Iinclude -c \
         lib/srec/memory.cc
lib/srec/memory.cc: In member function `void srec_memory::copy(const 
srec_memory&)':
lib/srec/memory.cc:95: Fehler: array bound forbidden after parenthesized 
type-id
lib/srec/memory.cc:95: Anmerkung: try removing the parentheses around 
the type-id
lib/srec/memory.cc: In member function `srec_memory_chunk* 
srec_memory::find(long unsigned int) const':
lib/srec/memory.cc:139: Fehler: array bound forbidden after 
parenthesized type-id
lib/srec/memory.cc:139: Anmerkung: try removing the parentheses around 
the type-id
make: *** [lib/srec/memory.o] Fehler 1

> I'm using the Cygwin GCC compiler, 3.3.3. I've been getting failures 
> during the link phase:

[...]

> - Could this be a problem with the Cygwin port of GCC? Is it a known 
> issue? Is there a workaround?

1. I don't know.
2. No.
3.

> - Should I go ahead an open up a GCC bug report? (and move this 
> discussion to GCC).

Please ask some gcc / g++ / C++ specialists if there are known issues
before filing a bug report.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/